Recent Notes

Displaying keyword search results 1 - 7
Created by freyo on June 30, 2011 11:15:48    Last update: June 30, 2011 11:15:48
Install APK with adb : $ platform-tools/adb install out/target/product/ge... Error message in logcat: D/PackageParser( 60): Scanning package: /data/ap... The error was created by android.content.pm.PackageParser , which compares the android:minSdkVersion and android:targetSdkVersion attributes of the uses-sdk element of AndroidManifest.xml in the APK file against the SDK version of the device or emulator. The SDK version on the device has to be greater than that required by android:minSdkVersion . In my case, since I built the package with AOSP, the target emulator has to be AOSP also. This is the relavant section in AndroidManifest.xml : <uses-sdk android:minSdkVersion="AOSP" ... And the relevant section in android.content.pm.PackageParser : if (minCode != null) { if (!minCode.equals(...
Created by jinx on May 02, 2011 20:48:49    Last update: May 02, 2011 20:58:01
A PHP try catch block looks like this: <?php try { throw new MyException('foo!'... Normally, no exceptions are thrown from internal function errors. For example: <?php $a = 1; $b = 0; try { $v = $... The division by zero error is never caught as an exception. However , you can translate errors into exceptions with an error handler and ErrorException : <?php function exception_error_handler($errno, ... which prints: Exception: exception 'ErrorException' with message... PHP does not support finally clause.
Created by nogeek on February 03, 2011 13:08:38    Last update: February 03, 2011 13:14:10
The log line was like this: 2011-01-19 15:16:34,842 INFO [STDOUT] (HDScanne... Note that INFO and timestamp were printed twice. Based on my configuration, I was expecting something like this: 2011-01-19 15:16:34,842 INFO [XmlWebApplicationC... i.e., the logger name should have been XmlWebApplicationContext , not STDOUT ! What was the problem? I found this error message in server.log : 2011-01-19 14:34:38,107 ERROR [STDERR] (main) lo... It turned out that org.apache.log4j.Appender was loaded by my web application class loader, whereas org.jboss.logging.appender.FileAppender was loaded by the JBoss bootstrap class loader. Removing the log4j jar from my web application archive fixed the problem (sine log4j is already available in JBoss). Why was the logger changed to STDOUT? JBoss detects that there's a problem with the log4j configuration and routes all...
Created by Dr. Xi on December 04, 2009 04:33:05    Last update: December 04, 2009 04:33:05
Variable Meaning $_ The default or implicit variable. @_ Within a subroutine the array @_ contains the parameters passed to that subroutine. $a, $b Special package variables when using sort() $<digit> Contains the subpattern from the corresponding set of capturing parentheses from the last pattern match, not counting patterns matched in nested blocks that have been exited already. $. Current line number for the last filehandle accessed. $/ The input record separator, newline by default. $| If set to nonzero, forces a flush right away and after every write or print on the currently selected output channel. Default is 0 (regardless of whether the channel is really buffered by the system or not; $| tells you only whether you've asked Perl explicitly to flush after...
Created by Dr. Xi on August 20, 2009 03:24:25    Last update: August 20, 2009 03:25:55
I get this error using PL/SQL to enqueue a JMS message in Oracle XE: Oracle: PLS-00302: component 'CONSTRUCT' must be declared . Following an advice I found on the web , I ran the script "$ORACLE_HOME/rdbms/admin/prvtaqal.plb" as SYS in sqlplus. That worked even though I got a bunch of errors running the script: Warning: Package created with compilation errors. ...
Created by Dr. Xi on December 14, 2008 19:09:19    Last update: December 14, 2008 19:09:19
My mod_python app failed to extract Python eggs with this error: [Sun Dec 14 09:40:03 2008] [error] [client 127.0... The error message suggested to set the PYTHON_EGG_CACHE environment variable. While this may help solve the problem, there's no reason why the Python egg can't be installed expanded: easy_install -Z MySQL-python-1.2.2.tar.gz
Created by Dr. Xi on September 23, 2008 20:43:58    Last update: September 23, 2008 20:43:58
Variable Description $0 The name of the ruby script file $* The command line arguments $$ Ruby interpreter's process ID $? Exit status of last executed child process $_ String last read by gets $. Line number last read by interpreter $! Last error message $@ Location of error $& String last matched by regexp $~ The last regexp match, as an array of subexpressions $n the nth subexpression in the last match (same as $~ ) $= Sase-insensitivity flag $/ Input record separator $\ Output record separator